from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.lang import XComponent

@runtime_checkable
class XWizardPage(XComponent, Protocol):
    def activatePage(self) -> None: ...
    def commitPage(self, Reason: int) -> bool: ...
    def canAdvance(self) -> bool: ...
